package cn.wise.sc.acquisition.business.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author ztw
 * @since 2021-04-26
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("T_Weight")
public class TWeight implements Serializable {

    private static final long serialVersionUID=1L;

    /**
     * ID号
     */
      @TableId("Uid")
    private String Uid;

    /**
     * 日期
     */
    @TableField("Rq")
    private String Rq;

    /**
     * 时间
     */
    @TableField("Sj")
    private String Sj;

    /**
     * 矿车编号
     */
    @TableField("TruckID")
    private String TruckID;

    /**
     * 总毛重
     */
    @TableField("Mz")
    private Float Mz;

    /**
     * 总皮重
     */
    @TableField("Pz")
    private Float Pz;

    /**
     * 总净重
     */
    @TableField("Jz")
    private Float Jz;

    /**
     * 日期标记,如:2021年01月
     */
    @TableField("Tag")
    private String Tag;


}
