package cn.wise.sc.acquisition.business.model.query;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author ztw
 * @since 2021-04-23
 */
@Data
@ApiModel("设备台账Query")
public class TEquipmentAccountQuery {



    @ApiModelProperty("设备编码")
    private String equipmentID;

    /**
     * 设备名称
     */
    @ApiModelProperty("设备名称")
    private String equipmentName;

    /**
     * 所属工序
     */
    @ApiModelProperty("所属工序")
    private String processesName;

    /**
     * 设备类型，包括租赁和自有
     */
    @ApiModelProperty("设备类型，包括租赁和自有")
    private String equipmentType;

    /**
     * 机长
     */
    @ApiModelProperty("机长")
    private String equManager;

    /**
     * 规格型号
     */
    @ApiModelProperty("规格型号")
    private String ggxh;

    /**
     * 生产能力
     */
    @ApiModelProperty("生产能力")
    private String scnl;

    /**
     * 装机容量
     */
    @ApiModelProperty("装机容量")
    private String zjrl;

    /**
     * 生产厂家
     */
    @ApiModelProperty("生产厂家")
    private String sccj;

    /**
     * 出厂日期
     */
    @ApiModelProperty("出厂日期")
    private LocalDateTime ccrq;

    /**
     * 出厂编号
     */
    @ApiModelProperty("出厂编号")
    private String ccbh;

    /**
     * 耐用年限
     */
    @ApiModelProperty("耐用年限")
    private String nynx;

    /**
     * 资产编码
     */
    @ApiModelProperty("资产编码")
    private String zcbm;

    /**
     * 设备原值
     */
    @ApiModelProperty("设备原值")
    private Float yz;

    /**
     * 启用日期
     */
    @ApiModelProperty("启用日期")
    private LocalDateTime qyrq;

    /**
     * 燃料类别
     */
    @ApiModelProperty("燃料类别")
    private String rllb;

    /**
     * 转速
     */
    @ApiModelProperty("转速")
    private String zs;

    /**
     * 状态,分为在用1和报废0
     */
    @ApiModelProperty("状态,分为在用1和报废0")
    private Boolean isUsing;

    /**
     * 备注
     */
    @ApiModelProperty("备注")
    private String bz;


}
