package cn.wise.sc.acquisition.business.model.vo;

import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @description:
 * @author: ztw
 * @create: 2021-04-26
 **/
@Data
@ApiModel("数据统计-产量统计表格展示类")
public class DataStatisticsTableVo {



	/**
	 * ID号
	 */
	@TableId("地磅称重表id")
	private String Uid;

	/**
	 * 日期
	 */
	@ApiModelProperty("日期")
	private String Rq;

	/**
	 * 时间
	 */
	@ApiModelProperty("时间")
	private String Sj;

	/**
	 * 矿车编号
	 */
	@ApiModelProperty("矿车编号")
	private String TruckID;

	@ApiModelProperty("发货单位")
	private String clientName;

	@ApiModelProperty("货品名称")
	private String WorkType;

	/**
	 * 总毛重
	 */
	@ApiModelProperty("总毛重")
	private Float Mz;

	/**
	 * 总皮重
	 */
	@ApiModelProperty("总皮重")
	private Float Pz;

	/**
	 * 总净重
	 */
	@ApiModelProperty("总净重")
	private Float Jz;


}
